Bug 169083 - consider backporting st reference counting changes
consider backporting st reference counting changes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 16:46 EDT by nate.dailey
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-17 20:33:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for st.c against RHEL4 U2 (7.17 KB, patch)
2005-09-22 16:47 EDT, nate.dailey
no flags Details | Diff
patch for st.h against RHEL4 U2 (418 bytes, patch)
2005-09-22 16:48 EDT, nate.dailey
no flags Details | Diff

  None (edit)
Description nate.dailey 2005-09-22 16:46:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
Changes were recently accepted in kernel.org's 2.6.14 kernel to add reference counting to the SCSI tape driver. Without these changes, surprise removal of the HBA connected to a tape drive is problematic. It would be great if Red Hat could backport this functionality.

Discussion of these changes is here:
http://marc.theaimsgroup.com/?l=linux-scsi&m=112058392531041&w=2

I'll try to attach patches against your U2 sources.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-17.EL

How reproducible:
Always

Steps to Reproduce:

  

Additional info:
Comment 1 nate.dailey 2005-09-22 16:47:33 EDT
Created attachment 119164 [details]
patch for st.c against RHEL4 U2
Comment 2 nate.dailey 2005-09-22 16:48:00 EDT
Created attachment 119165 [details]
patch for st.h against RHEL4 U2
Comment 3 Doug Ledford 2007-05-17 20:33:41 EDT
A slightly different but functionally equivalent version of these changes has
already been incorporated in the RHEL4 kernel.  Closing this bug out.

Note You need to log in before you can comment on or make changes to this bug.